<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.microprofile-openapi-smallrye" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value=""/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-openapi-smallrye"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.microprofile.openapi"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.microprofile.config"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="microprofile-openapi-smallrye"/>
        <param name="extension" default="org.wildfly.extension.microprofile.openapi-smallrye"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.microprofile.openapi-smallrye"/>
    </packages>
</feature-spec>